package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneEvaluationRulePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


@Mapper
@Repository
public interface SceneEvaluationRuleMapper {

    @Select("select rule_id, rule_name, rule_type,script_name, script_path\n" +
            "from scene_evaluation_rule\n" +
            "where is_deleted = '0' AND rule_id =  #{ruleId} \n")
    SceneEvaluationRulePO querySceneEvaluationPyById(@Param("ruleId") String ruleId);

}
